# chrono - agendas system
# Copyright (C) 2022  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'^$', views.pricing_list, name='chrono-manager-pricing-list'),
    url(
        r'^add/$',
        views.pricing_add,
        name='chrono-manager-pricing-add',
    ),
    url(
        r'^(?P<pk>\d+)/$',
        views.pricing_detail,
        name='chrono-manager-pricing-detail',
    ),
    url(
        r'^(?P<pk>\d+)/edit/$',
        views.pricing_edit,
        name='chrono-manager-pricing-edit',
    ),
    url(
        r'^(?P<pk>\d+)/delete/$',
        views.pricing_delete,
        name='chrono-manager-pricing-delete',
    ),
    url(
        r'^(?P<pk>\d+)/duplicate/$',
        views.pricing_duplicate,
        name='chrono-manager-pricing-duplicate',
    ),
    url(
        r'^(?P<pk>\d+)/export/$',
        views.pricing_export,
        name='chrono-manager-pricing-export',
    ),
    url(
        r'^(?P<pk>\d+)/variable/$',
        views.pricing_variable_edit,
        name='chrono-manager-pricing-variable-edit',
    ),
    url(
        r'^(?P<pk>\d+)/category/add/$',
        views.pricing_criteria_category_add,
        name='chrono-manager-pricing-criteria-category-add',
    ),
    url(
        r'^(?P<pk>\d+)/category/(?P<category_pk>\d+)/edit/$',
        views.pricing_criteria_category_edit,
        name='chrono-manager-pricing-criteria-category-edit',
    ),
    url(
        r'^(?P<pk>\d+)/category/(?P<category_pk>\d+)/delete/$',
        views.pricing_criteria_category_delete,
        name='chrono-manager-pricing-criteria-category-delete',
    ),
    url(
        r'^(?P<pk>\d+)/order/$',
        views.pricing_criteria_category_order,
        name='chrono-manager-pricing-criteria-category-order',
    ),
    url(r'^criterias/$', views.criteria_list, name='chrono-manager-pricing-criteria-list'),
    url(
        r'^criteria/category/add/$',
        views.criteria_category_add,
        name='chrono-manager-pricing-criteria-category-add',
    ),
    url(
        r'^criteria/category/(?P<pk>\d+)/edit/$',
        views.criteria_category_edit,
        name='chrono-manager-pricing-criteria-category-edit',
    ),
    url(
        r'^criteria/category/(?P<pk>\d+)/delete/$',
        views.criteria_category_delete,
        name='chrono-manager-pricing-criteria-category-delete',
    ),
    url(
        r'^criteria/category/(?P<pk>\d+)/export/$',
        views.criteria_category_export,
        name='chrono-manager-pricing-criteria-category-export',
    ),
    url(
        r'^criteria/category/(?P<pk>\d+)/order/$',
        views.criteria_order,
        name='chrono-manager-pricing-criteria-order',
    ),
    url(
        r'^criteria/category/(?P<category_pk>\d+)/add/$',
        views.criteria_add,
        name='chrono-manager-pricing-criteria-add',
    ),
    url(
        r'^criteria/category/(?P<category_pk>\d+)/(?P<pk>\d+)/edit/$',
        views.criteria_edit,
        name='chrono-manager-pricing-criteria-edit',
    ),
    url(
        r'^criteria/category/(?P<category_pk>\d+)/(?P<pk>\d+)/delete/$',
        views.criteria_delete,
        name='chrono-manager-pricing-criteria-delete',
    ),
    url(
        r'^agenda/(?P<pk>\d+)/pricing/add/$',
        views.agenda_pricing_add,
        name='chrono-manager-agenda-pricing-add',
    ),
    url(
        r'^agenda/(?P<pk>\d+)/pricing/(?P<pricing_pk>\d+)/$',
        views.agenda_pricing_detail,
        name='chrono-manager-agenda-pricing-detail',
    ),
    url(
        r'^agenda/(?P<pk>\d+)/pricing/(?P<pricing_pk>\d+)/edit/$',
        views.agenda_pricing_edit,
        name='chrono-manager-agenda-pricing-edit',
    ),
    url(
        r'^agenda/(?P<pk>\d+)/pricing/(?P<pricing_pk>\d+)/delete/$',
        views.agenda_pricing_delete,
        name='chrono-manager-agenda-pricing-delete',
    ),
    url(
        r'^agenda/(?P<pk>\d+)/pricing/(?P<pricing_pk>\d+)/matrix/edit/$',
        views.agenda_pricing_matrix_edit,
        name='chrono-manager-agenda-pricing-matrix-edit',
    ),
    url(
        r'^agenda/(?P<pk>\d+)/pricing/(?P<pricing_pk>\d+)/matrix/(?P<slug>[-_a-zA-Z0-9]+)/edit/$',
        views.agenda_pricing_matrix_edit,
        name='chrono-manager-agenda-pricing-matrix-slug-edit',
    ),
]
